FileControllerGetDownstreamReferenceExplosion Method |
GET /File/GetReferencesToRecursive/{id}/
Gets the references (downstream reference explosion) to the specified file. This is recursive.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpGetAttribute]
[ActionNameAttribute("ReferencesToRecursive")]
public HttpResponseMessage GetDownstreamReferenceExplosion(
Guid id,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("ReferencesToRecursive")>
Public Function GetDownstreamReferenceExplosion (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"ReferencesToRecursive")]
HttpResponseMessage^ GetDownstreamReferenceExplosion(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("ReferencesToRecursive")>]
member GetDownstreamReferenceExplosion :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the entity to check. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessage
An array of
ProjectData, or a status code indicating the reason for failure.
See Also